[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] Unable to build appliance



On Sun, Jun 05, 2011 at 05:09:34PM -0700, Sean McAfee wrote:
> On Sat, Jun 4, 2011 at 8:34 AM, Richard W.M. Jones <rjones redhat com>wrote:
> 
> > On Fri, Jun 03, 2011 at 11:38:45AM -0700, Sean McAfee wrote:
> > > Each version of febootstrap I've tried leads to a slightly different
> > > explosion of dependencies, each with its own idiosyncracies to be
> > > addressed.
> >
> > Let's keep this thread on the list, since it may help others in future.
> >
> > When you say dependencies of febootstrap, do you really mean of
> > febootstrap itself, or of the package list that libguestfs is trying
> > to download and install?  If the latter, you can reduce that by
> > removing things from appliance/packagelist.in in the libguestfs
> > sources.
> >
> >
> It's the former.  I can't build febootstrap until I install all of its
> transitive dependencies (about a dozen of them), most of which result from
> its direct dependence on yum.

febootstrap 3.x shouldn't depend on yum.  On Ubuntu it uses dpkg etc.

Old libguestfs (<= 1.7) didn't use febootstrap.  On Ubuntu it used
debirf and debootstrap, which had their own collection of problems.

Anyway, I think you should use the latest stuff, otherwise it's hard
to help.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
Read my programming blog: http://rwmj.wordpress.com
Fedora now supports 80 OCaml packages (the OPEN alternative to F#)
http://cocan.org/getting_started_with_ocaml_on_red_hat_and_fedora


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]